logcheby {sdpt3r} | R Documentation

## Log Chebyshev Approximation

### Description

`logcheby` creates input for sqlp to solve the Chebyshev Approximation Problem

### Usage

    logcheby(B, f)

### Arguments

`B` | A pxm real valued matrix with p > m
`f` | A vector of length p

### Details

Solves the log Chebyshev approximation problem. Mathematical and implementation details can be found in the vignette

### Value

`X` | A list containing the solution matrix to the primal problem
`y` | A list containing the solution vector to the dual problem
`Z` | A list containing the solution matrix to the dual problem
`pobj` | The achieved value of the primary objective function
`dobj` | The achieved value of the dual objective function

### Examples

    data(Blogcheby)
    data(flogcheby)

    #Not Run
    #out <- logcheby(Blogcheby, flogcheby)

[Package sdpt3r version 0.3 Index]